%define	name	adonthell
%define	version	0.3.5
##%define	cvs	cvs.20050813
%define	rel	1
%define release	%mkrel %{rel}

Summary:	A 2D graphical RPG game
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Games/Adventure
Source0:	adonthell-src-%{version}.tar.gz
#Patch0:		adonthell-0.3.4-gcc4-fix.patch
#Patch1:		adonthell_0.3.4.cvs.20050813-2.4ubuntu2.diff.gz
#Patch2:		01_work_around_bug_381456.diff
#Patch3:		02_use_libsdl-ttf.diff
#Patch4:		03_use_libsdl-mixer.diff
#Patch5:		04_python2.5.diff
URL:		http://adonthell.linuxgames.com/
BuildRequires:	oggvorbis-devel SDL-devel python-devel zlib-devel swig
BuildRequires:	SDL_mixer-devel SDL_ttf-devel
BuildRequires:	gpm-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
A 2D, graphical, single player role playing game inspired by good old 
console RPGs from the SNES like Secret of Mana or Chrono Trigger. 

This package contains the Adonthell engine. You will also need a game
package to play Adonthell. For this release, the official package is 
Waste's Edge.

%prep
%setup -q
#%patch0 -p1 -b .gcc4
#%patch1 -p1 -b .ubuntu
#%patch2 -p1 -b .workaround
#%patch3 -p1 -b .sdl_ttf
#%patch4 -p1 -b .sdl_mixer
#%patch5 -p1 -b .py2.5

%build
#./autogen.sh
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir} \
		--with-py-libs=-lpython%{python_version} \
		--with-py-cflags=-I/usr/include/python%{python_version}
#(perovyind) -O2 causes problems during linking for some reason..
%make CXXFLAGS="%{optflags} -O2 -fno-exceptions -DDATA_DIR=\"\\\"/usr/share/games/adonthell\"\\\"" LDFLAGS="-lSDL_ttf"

%install
rm -rf %{buildroot}
%makeinstall_std
install -m644 src/modules/adonthell.py -D %{buildroot}%{_gamesdatadir}/%{name}/modules/adonthell.py
install -m644 src/modules/dialogue.py -D %{buildroot}%{_gamesdatadir}/%{name}/modules/dialogue.py

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS ChangeLog NEWS FULLSCREEN.howto README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-0.3
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*



%changelog
* Sun Aug 10 2008 Emmanuel Andry <eandry@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 270333
- New version
- drop patches

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.3.4-3mdv2009.0
+ Revision: 135817
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Nicolas Vigier <nvigier@mandriva.com>
    - update license tag

* Mon Aug 13 2007 Nicolas Vigier <nvigier@mandriva.com> 0.3.4-3mdv2008.0
+ Revision: 62677
- rebuild for new python (fix bug #30942)
- add buildrequires on gpm-devel

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix python detection
    - sync with ubuntu/debian patches to fix python2.5/swig, use of SDL_mixer & SDL_ttf etc.
    - fix build with gcc >= 4 (P0)


* Thu Apr 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.4-1mdk
- 0.3.4 (fixes #15557)
- reduce optimizations
- drop P0 & P1
- fix summary-ended-with-dot

* Wed Feb 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-4mdk
- fix buildrequires for lib64
- use %%makeinstall_std macro
- don't manually strip binary in %%install

* Fri Aug 08 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-3mdk
- rebuild for new perl

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.3-2mdk
- Added zlib-devel to BuildRequires

* Thu Nov 14 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.3-1mdk
- First mdk release

